Album: Glitchstuck Volume 1
Directory Suffix: glitchstuck
Artists:
- Glitchstuck
Date: January 1, 2012
Date Added: January 1, 2023
URLs: 
- https://glitchstuck.bandcamp.com/album/glitchstuck-volume-1
Cover Artists:
- Glitchstuck
Cover Art File Extension: png
Track Art File Extension: png
Color: '#04fe3a'
Groups:
- Fandom
---
Track: Sburban Jungle (Brief Glitch Mix)
Duration: 01:48
URLs: 
- https://glitchstuck.bandcamp.com/track/sburban-jungle-brief-glitch-mix
Cover Artists:
- Glitchstuck
Referenced Tracks:
- Sburban Jungle (Brief Mix)
---
Track: Altercate (Flute Refrain)
Duration: 01:08
URLs: 
- https://glitchstuck.bandcamp.com/track/altercate-flute-refrain
Cover Artists:
- Glitchstuck
Referenced Tracks:
- track:altercate-glitchstuck
---
Track: Altercate
Suffix Directory: true
Always Reference By Directory: true
Duration: 00:59
URLs: 
- https://glitchstuck.bandcamp.com/track/altercate
Cover Artists:
- Glitchstuck
---
Track: Discord (Clarinet Solo)
Duration: 01:27
URLs: 
- https://glitchstuck.bandcamp.com/track/discord-clarinet-solo
Cover Artists:
- Glitchstuck
Art Tags:
- Frogs
Referenced Tracks:
- track:discord-glitchstuck
---
Track: Discord
Suffix Directory: true
Duration: 01:21
URLs: 
- https://glitchstuck.bandcamp.com/track/discord
Cover Artists:
- Glitchstuck
Art Tags:
- Frogs
---
Track: Redemption (One Man Band)
Duration: 01:18
URLs: 
- https://glitchstuck.bandcamp.com/track/redemption-one-man-band
Cover Artists:
- Glitchstuck
Referenced Tracks:
- track:redemption-glitchstuck
Art Tags:
- Squiddles
---
Track: Redemption
Suffix Directory: true
Always Reference By Directory: true
Duration: 00:55
URLs: 
- https://glitchstuck.bandcamp.com/track/redemption
Cover Artists:
- Glitchstuck
Art Tags:
- Squiddles
---
Track: Sburban Meltdown
Suffix Directory: true
Duration: 00:44
URLs: 
- https://glitchstuck.bandcamp.com/track/sburban-meltdown
Cover Artists:
- Glitchstuck
Referenced Tracks:
- Sburban Countdown
